API ReferenceVacation Comment
Creates a VacationComment resource.
POST
Creates a VacationComment resource.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new VacationComment resource
- body
vacation*stringFormat
uuidcontent*|Length
length <= 5000VacationComment resource created
- response
id?stringFormat
uuidcontent?stringLength
length <= 5000calendarUser?createdAt?stringFormat
date-timecurl -X POST 'https://app.icproject.com/api/instance/demo/calendar/vacation-comments' \ -H 'Content-Type: application/json' \ -d '{ "vacation": "887294f6-09ac-4c79-af4e-32f4f686ce44", "content": "string"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "content": "string", "calendarUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "createdAt": "2019-08-24T14:15:22Z"}